# -*- coding: utf-8 -*-
# Generated by Django 1.11 on 2018-03-24 16:08
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Message',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('author_name', models.CharField(max_length=255, verbose_name='author name')),
                ('author_email', models.EmailField(max_length=255, verbose_name='author email')),
                ('date', models.DateTimeField(blank=True, help_text='When this message was sent', null=True, verbose_name='date')),
                ('message', models.TextField(verbose_name='message')),
                ('managers_notified_by_email', models.BooleanField(default=False, verbose_name='managers notified by email')),
            ],
            options={
                'verbose_name': 'message',
                'verbose_name_plural': 'messages',
                'ordering': ('-date', 'author_email'),
            },
        ),
        migrations.CreateModel(
            name='Subject',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('subject', models.CharField(max_length=255, verbose_name='subject')),
            ],
            options={
                'verbose_name': 'subject',
                'verbose_name_plural': 'subjects',
                'ordering': ('subject',),
            },
        ),
        migrations.AddField(
            model_name='message',
            name='subject',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='kiss_contact_us.Subject', verbose_name='subject'),
        ),
    ]
